Page MenuHomePhabricator

The gradation of participation - what is a third party? Defining a common phrase with a common – and shared –understanding
Closed, ResolvedPublic

Description

Session

  • Track: People and Processes
  • Topic: The gradation of participation - what is a third party?

Description

There persists confusion on what is a third-party and what does it mean to support them. Let's discuss how we define both "third-party" and "support" to help us better understand expectations from all perspectives and stakeholders. We might not come up with a solid agreed definition, but perhaps we can share a more nuanced understanding of who is participating and how to make more informed decisions across the technical community (Particular emphasis on Product and Tech functions of the foundation).

Questions to answer and discuss

Question: How do we define third-party?
Significance: There is a broad spectrum of participation in the Wikimedia/MediaWiki community. At what point do we define someone as a third party? Is someone who writes a user script a developer? What about someone who writes a MediaWiki extension? What if they are using VisualEditor on a non-Wikimedia wiki? What if they contribute user testing and bug reports? Who are the audiences we wish to engage with?

Question: How do we define support?
Significance: Once we have identified what audience (or audiences) exist as third party, can we define an expectation of support – for questions related to use, code review, documentation, decision making related to interoperability, etc.

Related Issues

  • ...
  • ...

Pre-reading for all Participants


Notes document(s)

https://etherpad.wikimedia.org/p/WMTC19-T238234

Notes and Facilitation guidance

https://www.mediawiki.org/wiki/Wikimedia_Technical_Conference/2019/NotesandFacilitation


Session Leader(s)

  • Chris Koerner
  • [name]

Session Scribes

Session Style / Format

  • Workshop

Session Leaders please:

  • Add more details to this task description.
  • Coordinate any pre-event discussions (here on Phab, IRC, email, hangout, etc).
  • Outline the plan for discussing this topic at the event.
  • Optionally, include what this session will not try to solve.
  • Update this task with summaries of any pre-event discussions.
  • Include ways for people not attending to be involved in discussions before the event and afterwards.

Post-event summary:
We talk a lot about 3rd party: users, wiki, tools. There is no commonly agreed-upon definition to this "3rd party" term. We need to clearly define these terms in order to effectively communicate. Some say "non-Wikimedia" instead of "3rd party", but this isn't universal. If you consider the "movement" as a whole, it can be even less clear as to where these lines are drawn for "us" vs "them".

At its core, this term comes out of resource allocation. For example, the foundation must direct its focus to the Wikipedia sites as a priority. Somewhere in that priority are the other Wikimedia sites, probably chapter sites, maybe other "related" sites. Some person using MediaWiki for their personal site is probably near the bottom of that priority list. The resources are money and employees' time. The allocation spans these consumers of the product. The "product" includes the sites like Wikipedia and the software that powers them.

Post-event action items:

  • Create a prioritized list of user groups (users of the sites and software supported)
  • Discuss how individuals and groups within the foundation should decide how much of their time they should put toward these user groups based on priority (so there is no confusion between team members)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2019, 5:08 PM
CKoerner_WMF updated the task description. (Show Details)Nov 15 2019, 6:40 PM

(Sparse) Notes from during the session:

We talk a lot about 3rd party: users, wiki, tools
there is not one set group when we say 3rd parties
"big goverment" may mean different things, and ppl are not aware that they think of different things when they talk to each other
our movement is far more nuanced than many of us think
e.g. someone running MW on their own, running gadget written in JS - at what point do we consider someone a 3rd party and how do we support these different groups

how do we define 3rd party?
there will be no "solution", but maybe we can sharpen a little

used "non-wikimedia" as opposed to 3rd party in the past
talked to fundraising people and even they consider themself 3rd party to an extend
people may not need/want bleeding edge, have predictable and stable requirements, "they don't run the train"
there is also many community members who wnat to support their chapter and run an installation
many people don't consider themself 3rd party but still are non-wikimedia

the us-vs-them approach
1st party has money to spend and must priorititze - what is the product, the software or the wikipedia?
can WM resources be allocated to provide an installation

front end architecture group consider introducitng tech that is not compatable with our current stack. The notion of 3rd party is a big concern. Time and again we run into the situaton that htis illusive group - not sure of the size - to what extent do they need to be considered and what backlash could this cause. This limits innovation because we are catering to a group who's needs we can never know.

Misconception that 3rd party want to stay with traditional LAMP statck. I don't think this is as true as some people think. There may be hobbiests that this would impact, but not as much as we may think.

we often developed products and then evangelized so others us it
if technlogy were to find the resources to do that in a larger scale, and we found large users (airbnb, stackoverflow), how would that shape our responsibilities
in the past we have not made the concious decsion on how we commit to the possible outside pressures
e.g. apache: it is nothing is w/o users, nobody runs it for themself
in contrast we do develope MW primarily for use in wikipedia
it was illuminating for me to see how different wikimedia MW config is from the default one

one thought about the tension field of innovation and ease of use: we are not maintainting the chapters' wikis, and we don't want to exclude those for sure

what do we want to come out with

rather than defining those word: we do many things, teach people, document, work on projects. we should prioritize and define functions (stakeholder demands) which need to be implemented and this should determine on what we spend time

good thought. characterizing the different types of communities, what their use is, and then finally having to prioritze - given budget constraints
things we will do and not do

always ask: are we building a thing for MW of WM?
consequently it can or can not be ok if we break something

5 or 6 years ok i tried visual editor and it was a whold different experience for "open source" than wikimedia

also managing expectations is an aspect: do we respond to every request immediately and how?

another thought: funneling people's energy ("3rd party") to also contribute

@Lea_Lacroix_WMDE During a short discussion with @CKoerner_WMF we wondered: does WMDE have a clear cut definition of "3rd party" for wikibase? Is there one or multiple types of 3rd parties?

I guess @johl and @elal can answer better than me :)

Darenwelsh updated the task description. (Show Details)Nov 15 2019, 9:59 PM
johl added a comment.Nov 16 2019, 9:51 AM

Our attempt to clarify our (WMDE) understanding of which "3rd party" (or rather: partners) we target for Wikibase and Wikidata can be found in our Data Partnerships Model: https://meta.wikimedia.org/wiki/Wikimedia_Deutschland/Data_Partnerships_Model

CKoerner_WMF closed this task as Resolved.Nov 26 2019, 8:16 PM